# $Revision: 1.17 $, $Date: 2008/12/13 20:34:18 $
Summary:	TermIt - terminal emulator based on the vte library, extensible via Lua
Summary(hu.UTF-8):	TermIt - vte könyvtáron alapuló terminál emulátor, Lua nyelven keresztül bővíthető
Summary(pl.UTF-8):	TermIt - emulator terminala oparty na bibliotece vte, rozszerzalny przez Lua
Name:		termit
Version:	2.1.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://termit.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	ce1dba707a8b803fcb21db4163c50a4a
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://code.google.com/p/termit/wiki/TermIt
BuildRequires:	cmake >= 2.6.1
BuildRequires:	gtk+2-devel >= 2:2.8
BuildRequires:	lua51-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	vte-devel >= 0.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TermIt - simple terminal emulator based on vte library. Features:
 - multiple tabs
 - switching encodings
 - sessions
 - configurable keybindings
 - embedded Lua
 - xterm-like dynamic window title

Configuration can be changed via $HOME/.config/termit/init.lua file
(example is provided).

%description -l hu.UTF-8
TermIt - egyszerű, a vte könyvtárra épülő terminál emulátor.
Lehetőségek:
 - több tab
 - kódolás változtatása
 - munkamenetek
 - konfigurálható billentyűkombinációk
 - beépített Lua
 - xterm-szerű dinamikus ablakcím

A konfiguráció megváltoztatható a $HOME/.config/termit/init.lua fájl
megváltoztatásával (példafájl van a csomagban).

%description -l pl.UTF-8
TermIt - prosty emulator terminala oparty na bibliotece vte. Zawiera:
 - obsługę wielu zakładek
 - przełączanie kodowań
 - obsługę sesji
 - konfigurowalne przypisania klawiszy
 - możliwość rozszerzania przez Lua
 - możliwość dynamicznej zmiany tytułu w stylu xterma

Konfiguracja może być zmieniana przez plik
$HOME/.config/termit/init.lua (przykład znajduje się w dokumentacji).

%prep
%setup -q

%build
%cmake . \
	-DCMAKE_INSTALL_PREFIX:PATH="%{_prefix}" \
	-DCMAKE_VERBOSE_MAKEFILE=ON
# fix --as-needed issue - ref: http://pld-linux.org/DevelopingPLD/AdvancedDeveloping/FixingAsNeeded
%{__perl} -i -p -e 's/((\s-l\S+\s*?)+)((\s\S+\.o\s*?)+)(\s-o termit\s)/\5 \3 \1 /' src/CMakeFiles/termit.dir/link.txt
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog TODO doc/README doc/init.lua.example doc/lua_api.txt
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: termit.spec,v $
Revision 1.17  2008/12/13 20:34:18  qboosh
- cleanup, FindLua51 patch obsolete with current cmake

Revision 1.16  2008/12/13 20:25:44  qboosh
- updated pl

Revision 1.15  2008/12/12 16:08:30  uzsolt
- fix missed language code
- update summary (please update pl too)

Revision 1.14  2008/12/12 16:02:43  uzsolt
- hu desc and summary
- update description
- TODO: update pl description

Revision 1.13  2008/12/07 16:02:52  uzsolt
- up to 2.1.1
- patch0 commented out

Revision 1.12  2008/11/07 17:13:01  twittner
- up to 2.1
- I don't know if there is a better solution for current cmake
  for fixing --as-needed issue than reordering gcc options in link.txt file

Revision 1.11  2008/09/12 17:31:15  twittner
- more doc files added

Revision 1.10  2008/09/12 17:13:09  twittner
- up to 1.3.5

Revision 1.9  2008-02-24 20:04:26  twittner
- up to 1.2

Revision 1.8  2008-01-23 20:07:08  twittner
- up to 1.1.2

Revision 1.7  2007-12-27 21:06:28  twittner
- up to 1.1.1 (now uses cmake)

Revision 1.6  2007/09/07 17:38:33  twittner
- up to 1.0.2

Revision 1.5  2007/08/04 16:35:52  qboosh
- BR: pkgconfig (+some versions)
- typo

Revision 1.4  2007/07/16 16:47:43  twittner
- rel. 2

Revision 1.3  2007/07/16 16:44:38  twittner
- typo

Revision 1.2  2007/07/16 16:40:02  twittner
- added icon and desktop files

Revision 1.1  2007/07/16 15:55:05  twittner
- added
